/******************************************************************************
*
*  FILENAME :	logic.h
*
*  DESCRIPTION :
*
*	Interface header file for generic logic evaluation package.
*
*  USAGE :
*
*	Include in source files which require this package.
*
*  NOTES :
*
*	Written by Paul Chesson (1994)
*	E-Mail: chesson@mundil.cs.mu.OZ.AU
*
*/


#ifndef LOGIC_H
#define LOGIC_H


/******************************************************************************
*  INCLUDE FILES
******************************************************************************/

#include "bugbyte.h"			/* for returned constants	*/


/******************************************************************************
*  DATA DESCRIPTIONS
******************************************************************************/

#define BLANK	2			/* logical expression ...	*/
					/* contained no tokens		*/


/******************************************************************************
*  EXTERNAL FUNCTION PROTOTYPES
******************************************************************************/

extern int log_eval(const char *exp, const char *err_id,
		    Boolean (*name_eval)(char *, void *), void *data);


#endif  /*  LOGIC_H  */

